'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cloudbuildGithubWebhook = cloudbuildGithubWebhook;
exports.cloudbuildGithubNotifier = cloudbuildGithubNotifier;

var _notifier = require('./notifier');

var _webhook = require('./webhook');

/*
 * MIT License
 *
 * Copyright (c) 2017 Choko (choko@curioswitch.org)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

function cloudbuildGithubWebhook(req, res) {
  (0, _webhook.handleWebhook)(req, res).catch(err => {
    console.error('Error handling webhook: ', err);
    res.status(500).end();
  });
}

function cloudbuildGithubNotifier(event) {
  return (0, _notifier.handleBuildEvent)(event);
}